services:
  app:
    image: home-pricer
    build: .
    environment:
      RAILS_ENV: development
      MIGRATE: true
      DB_HOST: db
      DB_NAME: ""
      DB_USER: postgres
      DB_PASS: dev_pass
    ports:
      - 3000:3000
    depends_on:
      - db
    volumes:
      - ".:/usr/src/app"
  db:
    image: postgres:alpine3.15
    environment:
      POSTGRES_PASSWORD: dev_pass
    volumes:
      - ./postgres-data:/var/lib/postgresql/data
